Does manageIQ support OpenStack Pike version

providers

#1

Does manageIQ support OpenStack Pike version?

After upgrading openstack Pike, we got lots of error in manageiq like below.

[----] E, [2017-10-26T18:52:21.981643 #13275:b91130] ERROR – : excon.error #<Excon::Error::NotFound: Expected(200) <=> Actual(404 Not Found)
excon.error.response
:body => “{“message”: “The resource could not be found.

\n\n\n”, “code”: “404 Not Found”, “title”: “Not Found”}”
:cookies => [
]
:headers => {
“Connection” => “close”
“Content-Length” => "112"
“Content-Type” => “application/json”
“Date” => “Thu, 26 Oct 2017 22:52:22 GMT”
“X-Compute-Request-Id” => "req-ab489162-b33c-4302-b676-73205e01e177"
“X-Openstack-Request-Id” => “req-ab489162-b33c-4302-b676-73205e01e177”
}
:host => “host”
:local_address => “x.x.x.x”
:local_port => 54436
:path => “/v2.1/ef8007f23ad74d65896ae9799680a8c9/os-availability-zone.json”
:port => 8774
:reason_phrase => “Not Found”
:remote_ip => “x.x.x.x”
:status => 404
:status_line => “HTTP/1.1 404 Not Found\r\n”

From command line debug, we found the url ‘/v2.1/ef8007f23ad74d65896ae9799680a8c9/os-availability-zone’ works, but if we add ‘.json’, it’s not found.


#2

+1
Same problem for me with Pike.


#3

HI Guys.
I think this question is related to fog/openstack guys

From supported versions list there is v2 but not v2.1


Cannot see information after adding Openstack provider
#4